#ifndef __STUDENT_H__
#define __STUDENT_H__

#include <iostream>
#include "Person.h"

class CStudent : public CPerson {
	friend std::ostream& operator<<(std::ostream&, const CStudent&);
	friend std::ostream& operator<<(std::ostream&, const CStudent*);
	friend std::istream& operator>>(std::istream&, CStudent&);

public:
	CStudent();								// default constructor
	CStudent(char *, int, char *, char *, float);	// conversion
	CStudent(const CStudent&);	// copy constructor
	CStudent& operator=(const CStudent&); // operator=
	virtual ~CStudent() {}
	virtual void Show();
	float GetGPA() const;

private:
	float _gpa;
};

#endif